ℹ️ This documentation is for the VESSL MLOps product. For the new VESSL Cloud docs, see docs.cloud.vessl.ai.
ℹ️ This documentation is for the VESSL MLOps product. For the new VESSL Cloud docs, see docs.cloud.vessl.ai.
POST /predictions/my-model
(...)
Content-Type: application/json
Content-Length: 23
{"question": "1+1 = ?"}
200 OK
(...)
Content-Type: application/json
Content-Length: 43
{"answer": "The answer is 3. No, it's 11."}
Documentation Index
Fetch the complete documentation index at: https://docs.vessl.ai/llms.txt
Use this file to discover all available pages before exploring further.
$ curl \
-H "Authorization: Bearer ${TOKEN}" \
"${BASE_URL}/request/predictions/my-model" \
--json '{"question": "1+1 = ?"}'
{"answer": "The answer is 3. No, it's 11."}
Authorization header with Bearer scheme, as:Authorization: Bearer <token>
https://serve-api.dev2.vssl.ai/api/v1/services/<slug>/v2/models/my-model/infer/predictions/my-model/v1/completionsContent-TypeContent-LengthPOST /predictions/my-model
(...)
Content-Type: application/json
Content-Length: 23
{"question": "1+1 = ?"}
200 OK
(...)
Content-Type: application/json
Content-Length: 43
{"answer": "The answer is 3. No, it's 11."}
Was this page helpful?
POST /predictions/my-model
(...)
Content-Type: application/json
Content-Length: 23
{"question": "1+1 = ?"}
200 OK
(...)
Content-Type: application/json
Content-Length: 43
{"answer": "The answer is 3. No, it's 11."}